/************************************************************************
**                                                                      **
**                   Ultiman's Graphic User Interface                   **
**                                                                      **
** Author : Ultiman                                                     **
** Date : March    1994                                                 **
** Last revision :                                                      **
** Version : 0.99                                                       **
** Description : Defs for FastGraph's compatibility with UGUI.          **
**                                                                      **
*************************************************************************/

#ifndef _UGUICOMP_H_
#define _UGUICOMP_H_
typedef unsigned char byte;
typedef unsigned int  word;

extern int ox, oy, oxx, oyy;

/* draws a full box */
void g_rect ( int, int, int, int );

/* draw an empty box */
void g_box ( int, int, int, int );

/* moves to a new pos */
void g_move ( int, int );

/* draws a line */
void g_lineto ( int, int );

/* draw an xor line */
void g_linex ( int , int );

/* sets font size */
void g_fontsize ( int );

/* sets justification */
void g_justify ( int, int );

/* prints text */
void g_print ( char *, int );

/* gets justification */
void g_getjustify ( int *, int * );

/* locate in text mode */
void g_locate ( int, int );

/* prints in text mode */
void g_text ( char *, int );

/* change current colour */
void g_setcolor ( int );

/* returns current color */
int g_getcolor ( );

/* returns x pos */
int g_getxpos ();

/* returns y pos */
int g_getypos ();

/*/* draws a bitmap with 16 colors */
void g_draw16bmp ( int, int, char * );

/* draws a bitmap with 256 colors */
void g_draw256bmp ( int, int, char * );*/
void g_drawBmp ( int, int, char *);

/* returns max pos */
int g_getmaxx ();

int g_getmaxy ();

/* gets an image in specific format */
void g_getimage ( int, int, int, int, char * );

/* puts an image in specific format */
void g_putimage ( int, int, int, int, char * );

/* returns image size in memory */
long g_imagesize ( int, int );

/* returns current key code */
void g_intkey ( byte *, byte * );

/* draws a box in XOR mode */
void g_boxx ( int, int, int, int );

/* return current window */
void g_getwindow ( int *, int *, int *, int * );

/* sets current window */
void g_setwindow ( int, int, int, int );


/* sets mouse visibility */
void g_mousevis ( int );

/* gets mouse state */
void g_mousepos ( int far *, int far *, int far * );

/* sets limits for the mouse */
void g_mouselim ( int, int, int, int );

/* sets speed of the mouse */
void g_mousespd ( int, int );

/* moves mouse cursor */
void g_mousemov ( int, int );

/* gets press or release counts */
void g_mousebut ( int, int *, int *, int *);

/* draws a mask */
void g_drawMask ( int, int, unsigned char * );
#endif